--- title: "Delete gateway response header" slug: "apigateway-deleteheaders" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-deleteheaders" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete gateway response header Available in Classic and VPC Delete customized response headers from gateway responses. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | DELETE | /api/v1/products/{product-id}/apis/{api-id}/responses/{response-type}/headers/{header-name} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose response header you want to delete - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `response-type` | String | Required | Gateway response type - 1 - 45 characters - See [View gateway response](/docs/en/apigateway-getresponses) | | `header-name` | String | Required | Name of the target header - 1 - 45 characters | ### Request example The following is a sample request. ``` curl --location --request DELETE 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/responses/AUTHENTICATION_FAILED/headers/codeType' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "headerName" : "codeType", "headerValue" : "normal" }' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).